%define oname	TrustedQSL
%define sname	tqsl
%define tqslver	2.5

Summary:	TrustedQSL ham-radio applications
Name:		trustedqsl
Version:	2.5.7
Release:	%mkrel 1
License:	BSD-like
Group:		Networking/Other
Url:		https://sourceforge.net/projects/trustedqsl/
Source0:	http://www.arrl.org/files/file/LoTW%20Instructions/%{sname}-%{version}.tar.xz
Patch0:		tqsl-2.5-rpath.patch
Patch1:		tqsl-tqsllib.patch
BuildRequires: cmake
BuildRequires: dos2unix
BuildRequires: lib64curl-devel
BuildRequires: lib64expat-devel
BuildRequires: lib64lmdb-devel
BuildRequires: lib64openssl-devel
BuildRequires: lib64wxgtku3.1-devel

%description
The TrustedQSL applications are used for generating digitally signed
QSO records (records of Amateur Radio contacts). This package
contains the GUI application tqsl.

%prep
%setup -q -n %{sname}-%{version}
%apply_patches

#fix EOL
dos2unix README

%build
%cmake \
	-DBUILD_ALL_EXTRAPROGS=ON
%cmake_build

%install
%cmake_install

%find_lang tqslapp

#desktop files
install -Dpm644 apps/tqsl.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

#icons
for i in 16 32 48 64 128; do
	install -Dpm 644 apps/icons/key${i}.png %{buildroot}%{_iconsdir}/hicolor/${i}x${i}/apps/%{name}.png
done

#fix .desktop files
desktop-file-install \
	--remove-key=Encoding \
	--remove-category=Application \
	--add-category=Network \
	--set-icon=%{name} \
	--dir %{buildroot}%{_datadir}/applications/ \
	%{buildroot}%{_datadir}/applications/*.desktop

#no devel pkg
rm -rf %{buildroot}%{_includedir}
rm -rf %{buildroot}%{_libdir}/libtqsllib.so

%files -f tqslapp.lang
%{_bindir}/%{sname}
%{_libdir}/libtqsllib.so.%{tqslver}
%{_datadir}/%{oname}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{oname}.png
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man?/%{sname}.?.*


%changelog
* Fri Feb 19 2021 tex - 2.5.7-1pclos2021
- create pkg 
